Name: libovmapi
Version: 3.2
Release: 1%{?dist}
Summary: Oracle VM VMAPI and JSON libraries
License: LGPL
Group: Development/Libraries
URL: http://www.oracle.com/virtualization
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Patch1:dummy.patch
Patch2: patch641.patch_11159
Patch3: rev47.patch
Patch4: rev49.patch
Patch5: rev59.patch
Patch6: disable-python-binding-build.patch
Patch7: rev117.patch
Patch8: rev152.patch
Patch9: rev162.patch
# End Oracle Patches

%description
Oracle VM VMAPI library.

%package devel
Summary: Libraries, includes, etc. to compile with libovmapi and libovmjson libraries
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Libraries, includes, etc. to compile with libovmapi and libovmjson libraries.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p0

%build
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING
%{_libdir}/*.so

%files devel
%defattr(-, root, root)
%{_includedir}

%changelog
* Thu Oct 29 2015 Kevin Lyons <kevin.x.lyons@oracle.com> - 3.2-1 
- Increment version to 3.2

* Thu Oct 29 2015 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 3.1-3 
- Reviewed-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Added debug build mode, fixed compiler warnings, added json_size. 

* Mon Oct 05 2015 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 3.1-2 
- Reviewed-by: Annie Li <annie.li@oracle.com>
  Sync libovmjson with Windows version (Linux code is not affected). [bug 21877857]  

* Mon Sep 28 2015 Alexandre Khodakovski <alexandre.khodakovski@oracle.com> - 3.1-1
- Reviewed-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Added ovmjson library (to be used instead of cJSON.c in ovmd and xenstoreprovider). [bug 21877857]  

* Fri Mar 28 2014 Keshav Sharma <keshav.sharma@oracle.com> - 3.0-7 
- Update license headers in source  

* Mon Feb 06 2012 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-6 
- disable python binding build
  Signed-off-by: Zhigang Wang <zhigang.x.wang@oracle.com>
  Signed-off-by: Kurt Hackel <kurt.hackel@oracle.com> 

* Fri Feb 03 2012 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-5 
- Change payload type to char* so we can pass events through xenstoreprovider. 

* Thu Jan 12 2012 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-4 
- String changes 

* Thu Jan 12 2012 Steve Prochniak <steve.prochniak@oracle.com> - 3.0-3 
- String changes 

* Tue Jul 19 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-2 
- add python requirement 

* Mon Jun 06 2011 Zhigang Wang <zhigang.x.wang@oracle.com> - 3.0-1 
- Initial build.
